Bug 513222 (CVE-2009-2689) - CVE-2009-2689 OpenJDK JDK13Services grants unnecessary privileges (6777448)
Summary: CVE-2009-2689 OpenJDK JDK13Services grants unnecessary privileges (6777448)
Status: CLOSED ERRATA
Alias: CVE-2009-2689
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,source=sun,public=20090805...
Keywords: Security
Depends On: 513391 513392 515679 515680
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-07-22 15:33 UTC by Marc Schoenefeld
Modified: 2019-06-08 12:47 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-05-08 20:30:34 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1199 normal SHIPPED_LIVE Critical: java-1.5.0-sun security update 2009-08-06 20:38:05 UTC
Red Hat Product Errata RHSA-2009:1201 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security and bug fix update 2009-08-06 21:14:44 UTC
Red Hat Product Errata RHSA-2009:1662 normal SHIPPED_LIVE Low: Red Hat Network Satellite Server Sun Java Runtime security update 2009-12-11 13:42:50 UTC

Comment 2 Murray McAllister 2009-08-06 12:57:47 UTC
It was discovered that JDK13Services grants unnecessary privileges to
certain object types. This could be misused by an untrusted applet or
application to use otherwise restricted functionality.

http://sunsolve.sun.com/search/document.do?assetkey=1-21-118667-22-1

Comment 3 errata-xmlrpc 2009-08-06 20:38:22 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:1199 https://rhn.redhat.com/errata/RHSA-2009-1199.html

Comment 4 errata-xmlrpc 2009-08-06 21:15:06 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1201 https://rhn.redhat.com/errata/RHSA-2009-1201.html

Comment 5 Fedora Update System 2009-08-07 04:59:37 UTC
java-1.6.0-openjdk-1.6.0.0-27.b16.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2009-08-07 05:02:24 UTC
java-1.6.0-openjdk-1.6.0.0-20.b16.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 errata-xmlrpc 2009-12-11 13:43:47 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.1

Via RHSA-2009:1662 https://rhn.redhat.com/errata/RHSA-2009-1662.html


Note You need to log in before you can comment on or make changes to this bug.